summaryrefslogtreecommitdiffstatshomepage
path: root/tests/basics/run-tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/basics/run-tests')
-rwxr-xr-xtests/basics/run-tests3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/basics/run-tests b/tests/basics/run-tests
index 0c3995da15..bc2969ae3d 100755
--- a/tests/basics/run-tests
+++ b/tests/basics/run-tests
@@ -42,4 +42,7 @@ echo "$numpassed tests passed"
if [[ $numfailed != 0 ]]
then
echo "$numfailed tests failed -$namefailed"
+ exit 1
+else
+ exit 0
fi